#pragma once

#include "CoreMinimal.h"
#include "WingServer.h"
#include "WingHandler.h"
#include "WingTokenizer.h"
#include "Test_Sanitizer.generated.h"


// ---------------------------------------------------------------------------
// ---------------------------------------------------------------------------
// ---------------------------------------------------------------------------

UCLASS()
class UWing_Test_Sanitizer : public UWingHandler
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, meta=(Description="The string to sanitize"))
	FString Input;

	virtual void Register() override
	{
		UWingServer::AddHandler(this,
			TEXT("Test the sanitizer by sanitizing a string and printing the result."));
	}
	virtual void Handle() override
	{
		UWingServer::Printf(TEXT("%s\n"), *WingTokenizer::ExternalizeID(FName(Input)));
	}
};
